/*
 *  pe_print.h
 *  ProteinEncoder
 *
 *  Created by Naoto Morikawa on 3/25/06.
 *  Copyright (C) 2006, 2007, 2008 Naoto Morikawa. All rights reserved.
 *
 *  2006-10-01 version 0.1 release
 *  2006-11-20 version 0.2 release
 *  2007-02-15 version 0.3 release
 *  2007-04-15 version 0.4 release
 */

extern void print_pdb_line(struct pe_pdb_line * pt_line);
extern void print_pdb_header(struct pe_pdb_header * pt_hd);
extern void print_pdb_compnd(struct pe_pdb_compnd * pt_line);
extern void print_pdb_model(struct pe_pdb_model * pt_line);
extern void print_pdb_atom(struct pe_pdb_atom * pt_atm);
extern void print_pdb_ter(struct pe_pdb_ter * pt_line);
extern void print_pdb_master(struct pe_pdb_master * pt_line);

extern void print_my_molecule(struct pe_molecule * pt_strct);
extern void print_my_chain(struct pe_chain * pt_strct);
extern void print_my_protein(struct pe_protein * pt_strct);
extern void print_my_model(struct pe_model * pt_strct);
extern void print_my_atom(struct pe_atom * pt_strct);
extern void print_part_of_my_sequences(struct pe_atom * pt_strct, int atm_head,
				       int atm_tail);
extern void print_my_sequences(void);
extern void print_tile(int t_ind, struct pe_slt_tile * s_tiles);
extern void print_my_slt_tiles(struct pe_slt_tile * s_tiles);
extern void print_my_coordinates(void);
